This URL gets the list of activities for given url id.
Resource URL
GET /ntbamonitors/{ntbaId}/showurlactivity/{urlid}? TopN=<TopN> &timePeriod=<timePeriod>&startTime=<startTime>&endTime=<endTime>
Request Parameters
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| ntbaId | NTBA monitor id | Number | Yes |
| TopN | Number of top rows, default 50 | Number | No |
| timePeriod | Duration: can be
|
String | No |
| startTime | Start time in the format: yyyy-MM-dd HH:mm | String | No |
| endTime | End time in the format: yyyy-MM-dd HH:mm | String | No |
| urlId | URL id | Number | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| urlActivities | List of urls | Array |
Details of urlActivities:
| Field Name | Description | Data Type |
|---|---|---|
| srcEndpoint | Endpoint | String |
| srcReputation | Reputation | Number |
| srcZone | Source zone | String |
| srcCountry | Source country | String |
| destEndpoint | Dest endpoint | String |
| destReputation | Dest reputation | String |
| destZone | Dest zone | String |
| destCountry | Dest country | String |
| action | Action | String |
| lastAccessed | Last accessed | String |
Example
Request
Response
{"urlActivities":
[{
"srcEndpoint":"16843018",
"srcReputation":"Not Queried",
"srcZone":"Default Inside Zone",
"srcCountry":"---",
"destEndpoint":"16843017",
"destReputation":"Minimal Risk",
"destZone":"Default Outside Zone",
"destCountry":"Malaysia",
"action":"URL Accessed",
"lastAccessed":"2013-08-20 06:15:18"}
]
}
Error Information
Following error codes are returned by this URL:
| S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 400 | 4301 | Invalid duration |
| 2 | 400 | 4302 | Invalid time format |
| 3 | 400 | 4303 | Start time is greater than end time |
| 4 | 400 | 4304 | Invalid date format |
| 5 | 400 | 4305 | Start/End date is not provided |
| 6 | 400 | 4306 | Invalid NTBA id |
| 7 | 400 | 4307 | Invalid url id or no activities |